com.io7m.jstructural.annotated

## Interface SAFormalItemNumberVisitor<T>

- Type Parameters:
    `T` - The type of transformed formal item numbers

      public interface SAFormalItemNumberVisitor<T>

  A formal item number visitor.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `visitFormalItemNumberPSF(SAFormalItemNumberPSF f)` Visit a PSF formal item number.
    `T` | `visitFormalItemNumberPSSF(SAFormalItemNumberPSSF f)` Visit a PSSF formal item number.
    `T` | `visitFormalItemNumberSF(SAFormalItemNumberSF f)` Visit a SF formal item number.
    `T` | `visitFormalItemNumberSSF(SAFormalItemNumberSSF f)` Visit a SSF formal item number.

- - ### Method Detail

    - #### visitFormalItemNumberPSF

          T visitFormalItemNumberPSF(@Nonnull
                                   SAFormalItemNumberPSF f)
                                     throws com.io7m.jaux.Constraints.ConstraintError,
                                            Exception

      Visit a PSF formal item number.
      Parameters:
        `f` - The number
      Returns:
        A value of type `T`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitFormalItemNumberPSSF

          T visitFormalItemNumberPSSF(@Nonnull
                                    SAFormalItemNumberPSSF f)
                                      throws com.io7m.jaux.Constraints.ConstraintError,
                                             Exception

      Visit a PSSF formal item number.
      Parameters:
        `f` - The number
      Returns:
        A value of type `T`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitFormalItemNumberSF

          T visitFormalItemNumberSF(@Nonnull
                                  SAFormalItemNumberSF f)
                                    throws com.io7m.jaux.Constraints.ConstraintError,
                                           Exception

      Visit a SF formal item number.
      Parameters:
        `f` - The number
      Returns:
        A value of type `T`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

    - #### visitFormalItemNumberSSF

          T visitFormalItemNumberSSF(@Nonnull
                                   SAFormalItemNumberSSF f)
                                     throws com.io7m.jaux.Constraints.ConstraintError,
                                            Exception

      Visit a SSF formal item number.
      Parameters:
        `f` - The number
      Returns:
        A value of type `T`
      Throws:
        `com.io7m.jaux.Constraints.ConstraintError` - If required
        `Exception` - If required

Copyright © 2014. All rights reserved.